# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 
# $Id: alterator-control.spec,v 1.15 2006/04/28 10:48:26 inger Exp $ 

%define _altdata_dir %_datadir/alterator

Name: alterator-wizard
Version: 0.4
Release: alt5

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator's wizard like module aggregator
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9-alt3
Requires: alterator-profile >= 2.5-alt2
#Requires: alterator-browser-qt >= 2.9.27-alt2
Requires: alterator-icons
Requires: alterator-lookout >= 0.1-alt5

BuildPreReq: alterator >= 2.9-alt0.10

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator's wizard like module aggregator

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%_sysconfdir/alterator/profile.d/*
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/layouts/*
%_altdata_dir/ui/*/


%changelog
* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- update Ukrainian translation

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- add Ukrainian translation

* Thu Apr 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- remove 'Abort' button

* Thu Mar 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- fix 'Abort' button

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- rename wizard buttons

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- rename log to logfile

* Mon Jan 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- rename bridge-book-recorder to log

* Thu Jan 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- add bridge-book-recorder for more debug information

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- chroot war: use special /atlas backend

* Wed Jan 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- remove cursor feature, change socket path
- remove deps on alterator-browser-qt (should be in alterator-install2)

* Tue Jan 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- change arrow cursor to wait between steps

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- explicit requirement for (alterator atlas) module in layout

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- force usage of /tmp/browser-sock mailbox socket path

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- update to latest alterator

* Mon Dec 04 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- fix: add/remove buttons before frame:replace
- fix: add frame:direction global variable

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- fix: buttons show/hiding vs. auto skip feature

* Thu Nov 30 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- finish button now controlled by user like next
- add icons to requires

* Wed Nov 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4.1
- hotfix

* Tue Nov 28 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- reset button state on replace
- smart lang selection

* Fri Nov 17 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- protection from overflow
- remove backward button on the first page

* Thu Nov 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- enable title (from profile name)
- add steps
- port to new wizard-face API

* Thu Nov 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1.1
- fix requires

* Wed Nov 15 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release

